// PyBOINCAPI - Python bindings to the BOINC API
//
// Copyright (C) 2009 Nicolás Alvarez, Jeremy Cowles
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef BOINCMODULE_H
#define BOINCMODULE_H

#ifdef __APPLE__
# include <Python/Python.h>
#else
# include <Python.h>
#endif

extern char* pyboinc_app_name;

extern "C" PyObject* pyboinc_init(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_finish(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_resolve_filename(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_fraction_done(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_time_to_checkpoint(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_checkpoint_completed(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_wu_cpu_time(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_elapsed_time(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_is_standalone(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_need_network(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_network_poll(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_network_done(PyObject* self, PyObject* args);
extern "C" PyObject* pyboinc_get_app_name(PyObject* self, PyObject* args);


extern PyMethodDef BoincMethods[];

#endif
