FIND_LIBRARY(BOINCAPI_UTIL_LIBRARY
    NAMES boinc libboinc libboinc_staticcrt
    PATH_SUFFIXES lib
)
FIND_LIBRARY(BOINCAPI_API_LIBRARY
    NAMES boinc_api libboincapi libboincapi_staticcrt
    PATH_SUFFIXES api
)

FIND_PATH(BOINCAPI_UTIL_INCLUDES
    NAMES app_ipc.h filesys.h
    PATH_SUFFIXES lib
)
FIND_PATH(BOINCAPI_API_INCLUDES
    NAMES boinc_api.h
    PATH_SUFFIXES api
)

MARK_AS_ADVANCED(
    BOINCAPI_UTIL_LIBRARY
    BOINCAPI_API_LIBRARY
    BOINCAPI_UTIL_INCLUDES
    BOINCAPI_API_INCLUDES
)

SET(BOINCAPI_LIBRARIES ${BOINCAPI_API_LIBRARY} ${BOINCAPI_UTIL_LIBRARY})
SET(BOINCAPI_INCLUDE_DIRS ${BOINCAPI_API_INCLUDES} ${BOINCAPI_UTIL_INCLUDES})

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(BoincApi DEFAULT_MSG BOINCAPI_LIBRARIES BOINCAPI_INCLUDE_DIRS)

